Katello - Bug #4829

Enable ascii folding on elasticsearch filters
03/25/2014 09:36 AM - Toma$ Strachota

Status: Resolved

Priority: Normal

Assignee:

Category: API

Target version: Katello Recycle Bin
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Ascii folding filter had to be disabled because it prevented unicode strings from being searched in their original form. There's a new
option preserve_original coming with elasticsearch 1.1 that solves the problem. We should re-enable the functionality once the new
version is out.

See the related issue #4701 for details.

Related issues:
Related to Katello - Bug #4701: Cannot search lifecycle environment via its ... Closed 03/19/2014

History

#1 - 03/25/2014 09:37 AM - Tomas Strachota

- Related to Bug #4701: Cannot search lifecycle environment via its name if using UTF-8 characters added

#2 - 06/04/2014 01:49 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 12/21/2015 10:51 AM - Eric Helms

- Status changed from New to Resolved

Elasticsearch as been removed from the lastest (2.4.0)

#4 - 07/08/2016 11:10 AM - Eric Helms

- translation missing: en.field_release set to 166
https://projects.theforeman.org/issues/4701
http://www.tcpdf.org

